## science.js 1.9.3+dfsg

=== lib/d3/Makefile ===
JS_COMPILER = \
	./lib/uglifyjs/bin/uglifyjs

all: \
	d3.js \
	d3.min.js \
	d3.behavior.js \
	d3.behavior.min.js \
	d3.chart.js \
	d3.chart.min.js \
	d3.layout.js \
	d3.layout.min.js \
	d3.csv.js \
	d3.csv.min.js \
	d3.geo.js \
	d3.geo.min.js \
	d3.geom.js \
	d3.geom.min.js \
	d3.time.js \
	d3.time.min.js

.INTERMEDIATE d3.js: \
	src/start.js \
	d3.core.js \
	d3.scale.js \
	d3.svg.js \
	src/end.js

d3.core.js: \
	src/core/core.js \
	src/core/date.js \
	src/core/object.js \
	src/core/array.js \
	src/core/functor.js \
	src/core/rebind.js \
	src/core/ascending.js \
	src/core/descending.js \
	src/core/min.js \
	src/core/max.js \
	src/core/sum.js \
	src/core/zip.js \
	src/core/bisect.js \
	src/core/first.js \
	src/core/last.js \
	src/core/nest.js \
	src/core/keys.js \
	src/core/values.js \
	src/core/entries.js \
	src/core/permute.js \
	src/core/merge.js \
	src/core/split.js \
	src/core/collapse.js \
	src/core/call.js \
	src/core/range.js \
	src/core/requote.js \
	src/core/round.js \
	src/core/xhr.js \
	src/core/text.js \
	src/core/json.js \
	src/core/html.js \
	src/core/xml.js \
	src/core/ns.js \
	src/core/dispatch.js \
	src/core/format.js \
	src/core/ease.js \
	src/core/event.js \
	src/core/interpolate.js \
	src/core/uninterpolate.js \
	src/core/rgb.js \
	src/core/hsl.js \
	src/core/selection.js \
	src/core/transition.js \
	src/core/timer.js

d3.scale.js: \
	src/scale/scale.js \
	src/scale/nice.js \
	src/scale/linear.js \
	src/scale/bilinear.js \
	src/scale/polylinear.js \
	src/scale/log.js \
	src/scale/pow.js \
	src/scale/sqrt.js \
	src/scale/ordinal.js \
	src/scale/category.js \
	src/scale/quantile.js \
	src/scale/quantize.js

d3.svg.js: \
	src/svg/svg.js \
	src/svg/arc.js \
	src/svg/line.js \
	src/svg/line-radial.js \
	src/svg/area.js \
	src/svg/area-radial.js \
	src/svg/chord.js \
	src/svg/diagonal.js \
	src/svg/diagonal-radial.js \
	src/svg/mouse.js \
	src/svg/touches.js \
	src/svg/symbol.js

d3.behavior.js: \
	src/start.js \
	src/behavior/behavior.js \
	src/behavior/zoom.js \
	src/end.js

d3.chart.js: \
	src/start.js \
	src/chart/chart.js \
	src/chart/box.js \
	src/chart/bullet.js \
	src/chart/horizon.js \
	src/chart/qq.js \
	src/end.js

d3.layout.js: \
	src/start.js \
	src/layout/layout.js \
	src/layout/bundle.js \
	src/layout/chord.js \
	src/layout/force.js \
	src/layout/partition.js \
	src/layout/pie.js \
	src/layout/stack.js \
	src/layout/histogram.js \
	src/layout/hierarchy.js \
	src/layout/pack.js \
	src/layout/cluster.js \
	src/layout/tree.js \
	src/layout/treemap.js \
	src/end.js

d3.geo.js: \
	src/start.js \
	src/geo/geo.js \
	src/geo/azimuthal.js \
	src/geo/albers.js \
	src/geo/mercator.js \
	src/geo/path.js \
	src/geo/bounds.js \
	src/end.js

d3.csv.js: \
	src/start.js \
	src/csv/csv.js \
	src/csv/parse.js \
	src/csv/format.js \
	src/end.js

d3.time.js: \
	src/start.js \
	src/time/time.js \
	src/time/format.js \
	src/time/format-utc.js \
	src/time/format-iso.js \
	src/end.js

d3.geom.js: \
	src/start.js \
	src/geom/geom.js \
	src/geom/contour.js \
	src/geom/hull.js \
	src/geom/polygon.js \
	src/geom/voronoi.js \
	src/geom/delaunay.js \
	src/geom/quadtree.js \
	src/end.js

tests: \
	tests/test-append.test \
	tests/test-attr.test \
	tests/test-classed.test \
	tests/test-call.test \
	tests/test-csv-parse.test \
	tests/test-format.test \
	tests/test-insert.test \
	tests/test-interpolate.test \
	tests/test-keys.test \
	tests/test-max.test \
	tests/test-min.test \
	tests/test-sum.test \
	tests/test-nest.test \
	tests/test-permute.test \
	tests/test-zip.test \
	tests/test-remove.test \
	tests/test-rgb.test \
	tests/test-round.test \
	tests/test-hsl.test \
	tests/test-time-format.test \
	tests/test-time-format-iso.test \
	tests/test-time-format-utc.test \
	tests/test-time-parse.test \
	tests/test-time-parse-iso.test \
	tests/test-time-parse-utc.test \
	tests/test-transition.test \
	tests/test-scale-linear.test \
	tests/test-scale-polylinear.test \
	tests/test-scale-log.test \
	tests/test-scale-sqrt.test \
	tests/test-scale-pow.test \
	tests/test-scale-quantile.test \
	tests/test-bisect.test \
	tests/test-svg-arc.test \
	tests/test-svg-area.test \
	tests/test-svg-line.test \
	tests/test-svg-symbol.test

%.min.js: %.js Makefile
	@rm -f $@
	$(JS_COMPILER) < $< > $@

d3.js d3%.js: Makefile
	@rm -f $@
	cat $(filter %.js,$^) > $@
	@chmod a-w $@

%.test: %.js %.out all
	@/bin/echo -n "test: $* "
	@node $< > $*.actual
	@diff -U 3 $*.out $*.actual && rm -f $*.actual \
		&& echo '\033[1;32mPASS\033[0m' \
		|| echo test: $* '\033[1;31mFAIL\033[0m'

clean:
	rm -f d3*.js

## science.js 1.9.3

=== debian/changelog ===
science.js (1.9.3-1) unstable; urgency=low

  * Initial release (Closes: #843963)

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 08 Dec 2016 13:47:08 +0000

=== debian/control ===
Source: science.js
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Devabhaktuni Bhuvan Krishna <bhuvan@swecha.net>,
 Petter Reinholdtsen <pere@debian.org>,
 Sunil Mohan Adapa <sunil@medhas.org>,
Section: web
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-buildinfo,
 nodejs-legacy,
 node-uglify,
 node-vows,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/science.js.git
Vcs-Git: git://anonscm.debian.org/pkg-javascript/science.js.git
Homepage: https://github.com/jasondavies/science.js/

Package: libjs-sciencejs
Architecture: all
Depends:
 ${misc:Depends},
Description: JavaScript library for scientific and statistical computing
 This library contains two modules. science.stats module contains
 various implementations of statistical methods similar to those
 provided by R. science.lin contains methods for linear algebra.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	make JS_COMPILER=uglifyjs

override_dh_auto_install:
	echo 'Skipping install'

override_dh_auto_test:
	vows test/env-assert.js test/\*/\*-test.js

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/sciense.js-$1.tar.gz/ \
https://github.com/jasondavies/science.js/releases \
.*/archive/v?([\d\.]+).tar.gz

## science.js 1.9.3%2Bdfsg

=== debian/changelog ===
science.js (1.9.3+dfsg-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Petter Reinholdtsen ]
  * Fixed build race condition problem (Closes: #1058552).
  * Updated Standards-Version from 4.6.2 to 4.7.0.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 13 Apr 2024 17:00:11 +0200

science.js (1.9.3+dfsg-3) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.0, no changes needed.
  * Fix debian/watch

 -- Yadd <yadd@debian.org>  Sun, 02 Jan 2022 09:50:31 +0100

science.js (1.9.3+dfsg-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Use canonical URL in Vcs-Git.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Modernize debian/watch
  * Use dh-sequence-nodejs
  * Replace deprecated no-uglify by uglifyjs (Closes: #979969)

 -- Xavier Guimard <yadd@debian.org>  Tue, 12 Jan 2021 13:10:34 +0100

science.js (1.9.3+dfsg-1) unstable; urgency=medium

  * Team Upload.

  [ Viktar Basharymau ]
  * Fix a typo in kde.js example

  [ Nilesh ]
  * Fix deprecated syntax
  * Drop compat, switch to debhelper-compat
  * Switch to pkg-js-tools
  * Remove deprecated Makefile, generate minified files with uglifyjs

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add patch desc
  * Don't install useless package.json
  * Add debian/clean

 -- Nilesh <npatra974@gmail.com>  Wed, 22 Jan 2020 06:05:52 +0100

science.js (1.9.3-4) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * Re-enable tests during build.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 04 Oct 2018 17:57:25 +0000

science.js (1.9.3-3) unstable; urgency=medium

  * Changed to https format url in d/copyright.
  * Changed debhelper compat level from 9 to 10.
  * Changed package section from web to javascript based on suggestion
    from lintian.
  * Use same salsa url for Git and Browser access to keep lintian happy.
  * Use correct email in changelog.
  * Added rule to install examples in /usr/share/doc/.
  * Marked libjs-sciencejs as Multi-Arch foreign, as it contain only
    javascript.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 28 Sep 2018 15:46:02 +0000

science.js (1.9.3-2) unstable; urgency=medium

  * Moved code to salsa.debian.org.
  * Updated Standards-Version from 3.9.8 to 4.2.1.
  * Started using pristine-tar and enforce its use in d/gbp.conf.
  * Disabled self testing during build until bug #909779 in vows is fixed.
  * Replaced nodejs-legacy build dependency with nodejs. (Closes: #876618)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 28 Sep 2018 13:16:36 +0000

## science.js 1.9.3+dfsg

=== debian/control ===
Source: science.js
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Devabhaktuni Bhuvan Krishna <bhuvan@swecha.net>,
 Petter Reinholdtsen <pere@debian.org>,
 Sunil Mohan Adapa <sunil@medhas.org>,
Section: javascript
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-buildinfo,
 nodejs,
 uglifyjs,
 node-vows,
 dh-sequence-nodejs
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/science.js/
Vcs-Git: https://salsa.debian.org/js-team/science.js.git
Homepage: https://github.com/jasondavies/science.js/
Rules-Requires-Root: no

Package: libjs-sciencejs
Architecture: all
Depends:
 ${misc:Depends},
Multi-Arch: foreign
Description: JavaScript library for scientific and statistical computing
 This library contains two modules. science.stats module contains
 various implementations of statistical methods similar to those
 provided by R. science.lin contains methods for linear algebra.

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,9 @@
 
 override_dh_auto_build:
 	make JS_COMPILER=uglifyjs
+	for f in lib/d3/*.js; do \
+		uglifyjs $$f -c -m --mangle-props -o `echo $$f | sed 's/js/min.js/'`; \
+	done
 
 override_dh_auto_install:
 	echo 'Skipping install'
-
-override_dh_auto_test:
-	vows test/env-assert.js test/\*/\*-test.js

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+@ARCHIVE_EXT@)/sciense.js-$1/ \
https://github.com/jasondavies/science.js/tags .*?([\d\.]+).tar.gz
